/**
 * @file detail.cpp
 * @author Lars Johannesen <lj@halloffame.dk>
 *
 * @section LICENSE
 * This program is licensed under LGPL3, see LICENSE
 * 
 * @section DESCRIPTION
 * The classes in this file are used for describing characteristics about ecg records (detail)
 */
#ifndef ECGLIB_QRSDETECTOR_LJ_2014_06_06
#define ECGLIB_QRSDETECTOR_LJ_2014_06_06 1

#include "detail.hpp"
#include <armadillo>

namespace ecglib { namespace detail {
	arma::vec grab(const arma::vec &in, const arma::uvec &idx) {
		arma::vec out = arma::zeros<arma::vec>(in.n_elem);
		std::size_t cnt = 0;

		for(std::size_t i = 0; i < idx.n_elem; ++i) {
			out(cnt) = in(idx(i));
			++cnt;
		}

		out = out.subvec(0,cnt-1);

		return out;
	}
}}

#endif
